JmolConsole
Date: 2019-10-22

org.jmol.console

## Class JmolConsole

- java.lang.Object
- - org.jmol.console.GenericConsole
  - - org.jmol.console.JmolConsole

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.WindowListener, java.util.EventListener, JmolAppConsoleInterface, JmolCallbackListener
  Direct Known Subclasses:
    AppConsole, AppletConsole

      public abstract class JmolConsole
      extends GenericConsole
      implements java.awt.event.ActionListener, java.awt.event.WindowListener

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private class` | `JmolConsole.FileChecker`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Container` | `externalContainer`
    `protected ScriptEditor` | `scriptEditor`
    `protected javax.swing.JFrame` | `vwrFrame`

    - ### Fields inherited from class org.jmol.console.GenericConsole

      `clearInButton, clearOutButton, defaultMessage, editButton, historyButton, input, label1, labels, loadButton, menuMap, nTab, output, runButton, stateButton, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmolConsole()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)`
    `protected void` | `addWindowListener()`
    `void` | `dispose()`
    `protected java.awt.Container` | `getPane()`
    `JmolScriptEditorInterface` | `getScriptEditor()`
    `protected boolean` | `isMenuItem(java.lang.Object source)`
    `java.lang.Object` | `newJMenu(java.lang.String key)`
    `java.lang.Object` | `newJMenuItem(java.lang.String key)`
    `protected java.lang.String` | `nextFileName(java.lang.String stub, int nTab)`
    `protected JmolAbstractButton` | `setButton(java.lang.String label)`
    `protected void` | `setTitle()`
    `void` | `setVisible(boolean isVisible)`
    `void` | `updateFontSize()`
    `protected void` | `updateLabels()`
    `void` | `windowActivated(java.awt.event.WindowEvent we)`
    `void` | `windowClosed(java.awt.event.WindowEvent we)`
    `void` | `windowClosing(java.awt.event.WindowEvent we)`
    `void` | `windowDeactivated(java.awt.event.WindowEvent we)`
    `void` | `windowDeiconified(java.awt.event.WindowEvent we)`
    `void` | `windowIconified(java.awt.event.WindowEvent we)`
    `void` | `windowOpened(java.awt.event.WindowEvent we)`

    - ### Methods inherited from class org.jmol.console.GenericConsole

      `addButton, clearContent, completeCommand, destroyConsole, displayConsole, doAction, execute, getLabel, getLabel1, getLabelWithoutMnemonic, getMnemonic, getText, layoutWindow, map, notifyCallback, notifyEnabled, processKey, recallCommand, sendConsoleEcho, sendConsoleMessage, setAbstractButtonLabels, setCallbackFunction, setLabels, setupLabels, setupLabels0, setViewer, zap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jmol.api.JmolAppConsoleInterface

      `start`

- - ### Field Detail

    - #### vwrFrame

          protected javax.swing.JFrame vwrFrame

    - #### externalContainer

          protected java.awt.Container externalContainer

    - #### scriptEditor

          protected ScriptEditor scriptEditor

  - ### Constructor Detail

    - #### JmolConsole

          public JmolConsole()

  - ### Method Detail

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `JmolAppConsoleInterface`
      Specified by:
        `dispose` in class `GenericConsole`

    - #### getPane

          protected java.awt.Container getPane()

    - #### setTitle

          protected void setTitle()

      Specified by:
        `setTitle` in class `GenericConsole`

    - #### setVisible

          public void setVisible(boolean isVisible)

      Specified by:
        `setVisible` in interface `JmolAppConsoleInterface`
      Specified by:
        `setVisible` in class `GenericConsole`

    - #### setButton

          protected JmolAbstractButton setButton(java.lang.String label)

      Specified by:
        `setButton` in class `GenericConsole`

    - #### updateLabels

          protected void updateLabels()

      Overrides:
        `updateLabels` in class `GenericConsole`

    - #### getScriptEditor

          public JmolScriptEditorInterface getScriptEditor()

      Specified by:
        `getScriptEditor` in interface `JmolAppConsoleInterface`
      Specified by:
        `getScriptEditor` in class `GenericConsole`

    - #### nextFileName

          protected java.lang.String nextFileName(java.lang.String stub,
                                                  int nTab)

      Specified by:
        `nextFileName` in class `GenericConsole`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### isMenuItem

          protected boolean isMenuItem(java.lang.Object source)

      Specified by:
        `isMenuItem` in class `GenericConsole`

    - #### addWindowListener

          protected void addWindowListener()

    - #### windowActivated

          public void windowActivated(java.awt.event.WindowEvent we)

      Specified by:
        `windowActivated` in interface `java.awt.event.WindowListener`
      Parameters:
        `we` -

    - #### windowClosed

          public void windowClosed(java.awt.event.WindowEvent we)

      Specified by:
        `windowClosed` in interface `java.awt.event.WindowListener`

    - #### windowClosing

          public void windowClosing(java.awt.event.WindowEvent we)

      Specified by:
        `windowClosing` in interface `java.awt.event.WindowListener`

    - #### windowDeactivated

          public void windowDeactivated(java.awt.event.WindowEvent we)

      Specified by:
        `windowDeactivated` in interface `java.awt.event.WindowListener`
      Parameters:
        `we` -

    - #### windowDeiconified

          public void windowDeiconified(java.awt.event.WindowEvent we)

      Specified by:
        `windowDeiconified` in interface `java.awt.event.WindowListener`
      Parameters:
        `we` -

    - #### windowIconified

          public void windowIconified(java.awt.event.WindowEvent we)

      Specified by:
        `windowIconified` in interface `java.awt.event.WindowListener`
      Parameters:
        `we` -

    - #### windowOpened

          public void windowOpened(java.awt.event.WindowEvent we)

      Specified by:
        `windowOpened` in interface `java.awt.event.WindowListener`
      Parameters:
        `we` -

    - #### newJMenu

          public java.lang.Object newJMenu(java.lang.String key)

      Specified by:
        `newJMenu` in interface `JmolAppConsoleInterface`

    - #### newJMenuItem

          public java.lang.Object newJMenuItem(java.lang.String key)

      Specified by:
        `newJMenuItem` in interface `JmolAppConsoleInterface`

    - #### updateFontSize

          public void updateFontSize()